eoStochasticUniversalSelect(3)

NAME
eoStochasticUniversalSelect - eoStochasticUniversalSelect: select an individual proportional to her stored fitness value, but in contrast with eoStochasticUniversalSelect, get rid of most finite sampling effects by doing all selections in one go, using a single random number.

SYNOPSIS

#include <eoStochasticUniversalSelect.h>

Inherits eoSelectOne< EOT >.

  Public Member Functions
eoStochasticUniversalSelect (const eoPop< EOT > &pop=eoPop< EOT >())
Sanity check.
void setup (const eoPop< EOT > &_pop)
virtual function to setup some population stats (for instance eoProportional can benefit greatly from this)
const EOT & operator() (const eoPop< EOT > &_pop)
do the selection,

  Private Types
typedef std::vector< unsigned > IndexVec

  Private Attributes
IndexVec indices

Detailed Description

  template<class EOT> class eoStochasticUniversalSelect< EOT >
eoStochasticUniversalSelect: select an individual proportional to her stored fitness value, but in contrast with eoStochasticUniversalSelect, get rid of most finite sampling effects by doing all selections in one go, using a single random number.

Definition at line 44 of file eoStochasticUniversalSelect.h.

Author

Generated automatically by Doxygen for EO from the source code.